Package com.sap.ai.sdk.prompt.registry.model

# Class PromptTemplateGetResponse

java.lang.Object
com.sap.ai.sdk.prompt.registry.model.PromptTemplateGetResponse

public class PromptTemplateGetResponse extends Object
PromptTemplateGetResponse

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PromptTemplateGetResponse()`
  Default constructor for PromptTemplateGetResponse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PromptTemplateGetResponse`
  `create()`
  Create a new `PromptTemplateGetResponse` instance.
  `PromptTemplateGetResponse`
  `creationTimestamp(String creationTimestamp)`
  Set the creationTimestamp of this `PromptTemplateGetResponse` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getCreationTimestamp()`
  Get creationTimestamp
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `PromptTemplateGetResponse`.
  `UUID`
  `getId()`
  Get id
  `String`
  `getManagedBy()`
  Get managedBy
  `String`
  `getName()`
  Get name
  `String`
  `getResourceGroupId()`
  Get resourceGroupId
  `String`
  `getScenario()`
  Get scenario
  `PromptTemplateSpec`
  `getSpec()`
  Get spec
  `String`
  `getVersion()`
  Get version
  `int`
  `hashCode()`
  `PromptTemplateGetResponse`
  `id(UUID id)`
  Set the id of this `PromptTemplateGetResponse` instance and return the same instance.
  `Boolean`
  `isIsVersionHead()`
  Get isVersionHead
  `PromptTemplateGetResponse`
  `isVersionHead(Boolean isVersionHead)`
  Set the isVersionHead of this `PromptTemplateGetResponse` instance and return the same instance.
  `PromptTemplateGetResponse`
  `managedBy(String managedBy)`
  Set the managedBy of this `PromptTemplateGetResponse` instance and return the same instance.
  `PromptTemplateGetResponse`
  `name(String name)`
  Set the name of this `PromptTemplateGetResponse` instance and return the same instance.
  `PromptTemplateGetResponse`
  `resourceGroupId(String resourceGroupId)`
  Set the resourceGroupId of this `PromptTemplateGetResponse` instance and return the same instance.
  `PromptTemplateGetResponse`
  `scenario(String scenario)`
  Set the scenario of this `PromptTemplateGetResponse` instance and return the same instance.
  `void`
  `setCreationTimestamp(String creationTimestamp)`
  Set the creationTimestamp of this `PromptTemplateGetResponse` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `PromptTemplateGetResponse` instance.
  `void`
  `setId(UUID id)`
  Set the id of this `PromptTemplateGetResponse` instance.
  `void`
  `setIsVersionHead(Boolean isVersionHead)`
  Set the isVersionHead of this `PromptTemplateGetResponse` instance.
  `void`
  `setManagedBy(String managedBy)`
  Set the managedBy of this `PromptTemplateGetResponse` instance.
  `void`
  `setName(String name)`
  Set the name of this `PromptTemplateGetResponse` instance.
  `void`
  `setResourceGroupId(String resourceGroupId)`
  Set the resourceGroupId of this `PromptTemplateGetResponse` instance.
  `void`
  `setScenario(String scenario)`
  Set the scenario of this `PromptTemplateGetResponse` instance.
  `void`
  `setSpec(PromptTemplateSpec spec)`
  Set the spec of this `PromptTemplateGetResponse` instance.
  `void`
  `setVersion(String version)`
  Set the version of this `PromptTemplateGetResponse` instance.
  `PromptTemplateGetResponse`
  `spec(PromptTemplateSpec spec)`
  Set the spec of this `PromptTemplateGetResponse` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `PromptTemplateGetResponse` instance including unrecognized properties.
  `String`
  `toString()`
  `PromptTemplateGetResponse`
  `version(String version)`
  Set the version of this `PromptTemplateGetResponse` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PromptTemplateGetResponse

    protected PromptTemplateGetResponse()
    Default constructor for PromptTemplateGetResponse.

- ## Method Details

  - ### id

    @Nonnull public PromptTemplateGetResponse id(@Nullable UUID id)
    Set the id of this `PromptTemplateGetResponse` instance and return the same instance.
    Parameters:
      `id` - The id of this `PromptTemplateGetResponse`
    Returns:
      The same instance of this `PromptTemplateGetResponse` class

  - ### getId

    @Nonnull public UUID getId()
    Get id
    Returns:
      id The id of this `PromptTemplateGetResponse` instance.

  - ### setId

    public void setId(@Nullable UUID id)
    Set the id of this `PromptTemplateGetResponse` instance.
    Parameters:
      `id` - The id of this `PromptTemplateGetResponse`

  - ### name

    @Nonnull public PromptTemplateGetResponse name(@Nullable String name)
    Set the name of this `PromptTemplateGetResponse` instance and return the same instance.
    Parameters:
      `name` - The name of this `PromptTemplateGetResponse`
    Returns:
      The same instance of this `PromptTemplateGetResponse` class

  - ### getName

    @Nonnull public String getName()
    Get name
    Returns:
      name The name of this `PromptTemplateGetResponse` instance.

  - ### setName

    public void setName(@Nullable String name)
    Set the name of this `PromptTemplateGetResponse` instance.
    Parameters:
      `name` - The name of this `PromptTemplateGetResponse`

  - ### version

    @Nonnull public PromptTemplateGetResponse version(@Nullable String version)
    Set the version of this `PromptTemplateGetResponse` instance and return the same instance.
    Parameters:
      `version` - The version of this `PromptTemplateGetResponse`
    Returns:
      The same instance of this `PromptTemplateGetResponse` class

  - ### getVersion

    @Nonnull public String getVersion()
    Get version
    Returns:
      version The version of this `PromptTemplateGetResponse` instance.

  - ### setVersion

    public void setVersion(@Nullable String version)
    Set the version of this `PromptTemplateGetResponse` instance.
    Parameters:
      `version` - The version of this `PromptTemplateGetResponse`

  - ### scenario

    @Nonnull public PromptTemplateGetResponse scenario(@Nullable String scenario)
    Set the scenario of this `PromptTemplateGetResponse` instance and return the same instance.
    Parameters:
      `scenario` - The scenario of this `PromptTemplateGetResponse`
    Returns:
      The same instance of this `PromptTemplateGetResponse` class

  - ### getScenario

    @Nonnull public String getScenario()
    Get scenario
    Returns:
      scenario The scenario of this `PromptTemplateGetResponse` instance.

  - ### setScenario

    public void setScenario(@Nullable String scenario)
    Set the scenario of this `PromptTemplateGetResponse` instance.
    Parameters:
      `scenario` - The scenario of this `PromptTemplateGetResponse`

  - ### creationTimestamp

    @Nonnull public PromptTemplateGetResponse creationTimestamp(@Nullable String creationTimestamp)
    Set the creationTimestamp of this `PromptTemplateGetResponse` instance and return the same instance.
    Parameters:
      `creationTimestamp` - The creationTimestamp of this `PromptTemplateGetResponse`
    Returns:
      The same instance of this `PromptTemplateGetResponse` class

  - ### getCreationTimestamp

    @Nonnull public String getCreationTimestamp()
    Get creationTimestamp
    Returns:
      creationTimestamp The creationTimestamp of this `PromptTemplateGetResponse` instance.

  - ### setCreationTimestamp

    public void setCreationTimestamp(@Nullable String creationTimestamp)
    Set the creationTimestamp of this `PromptTemplateGetResponse` instance.
    Parameters:
      `creationTimestamp` - The creationTimestamp of this `PromptTemplateGetResponse`

  - ### managedBy

    @Nonnull public PromptTemplateGetResponse managedBy(@Nullable String managedBy)
    Set the managedBy of this `PromptTemplateGetResponse` instance and return the same instance.
    Parameters:
      `managedBy` - The managedBy of this `PromptTemplateGetResponse`
    Returns:
      The same instance of this `PromptTemplateGetResponse` class

  - ### getManagedBy

    @Nonnull public String getManagedBy()
    Get managedBy
    Returns:
      managedBy The managedBy of this `PromptTemplateGetResponse` instance.

  - ### setManagedBy

    public void setManagedBy(@Nullable String managedBy)
    Set the managedBy of this `PromptTemplateGetResponse` instance.
    Parameters:
      `managedBy` - The managedBy of this `PromptTemplateGetResponse`

  - ### isVersionHead

    @Nonnull public PromptTemplateGetResponse isVersionHead(@Nullable Boolean isVersionHead)
    Set the isVersionHead of this `PromptTemplateGetResponse` instance and return the same instance.
    Parameters:
      `isVersionHead` - The isVersionHead of this `PromptTemplateGetResponse`
    Returns:
      The same instance of this `PromptTemplateGetResponse` class

  - ### isIsVersionHead

    @Nonnull public Boolean isIsVersionHead()
    Get isVersionHead
    Returns:
      isVersionHead The isVersionHead of this `PromptTemplateGetResponse` instance.

  - ### setIsVersionHead

    public void setIsVersionHead(@Nullable Boolean isVersionHead)
    Set the isVersionHead of this `PromptTemplateGetResponse` instance.
    Parameters:
      `isVersionHead` - The isVersionHead of this `PromptTemplateGetResponse`

  - ### resourceGroupId

    @Nonnull public PromptTemplateGetResponse resourceGroupId(@Nullable String resourceGroupId)
    Set the resourceGroupId of this `PromptTemplateGetResponse` instance and return the same instance.
    Parameters:
      `resourceGroupId` - The resourceGroupId of this `PromptTemplateGetResponse`
    Returns:
      The same instance of this `PromptTemplateGetResponse` class

  - ### getResourceGroupId

    @Nonnull public String getResourceGroupId()
    Get resourceGroupId
    Returns:
      resourceGroupId The resourceGroupId of this `PromptTemplateGetResponse` instance.

  - ### setResourceGroupId

    public void setResourceGroupId(@Nullable String resourceGroupId)
    Set the resourceGroupId of this `PromptTemplateGetResponse` instance.
    Parameters:
      `resourceGroupId` - The resourceGroupId of this `PromptTemplateGetResponse`

  - ### spec

    @Nonnull public PromptTemplateGetResponse spec(@Nullable PromptTemplateSpec spec)
    Set the spec of this `PromptTemplateGetResponse` instance and return the same instance.
    Parameters:
      `spec` - The spec of this `PromptTemplateGetResponse`
    Returns:
      The same instance of this `PromptTemplateGetResponse` class

  - ### getSpec

    @Nonnull public PromptTemplateSpec getSpec()
    Get spec
    Returns:
      spec The spec of this `PromptTemplateGetResponse` instance.

  - ### setSpec

    public void setSpec(@Nullable PromptTemplateSpec spec)
    Set the spec of this `PromptTemplateGetResponse` instance.
    Parameters:
      `spec` - The spec of this `PromptTemplateGetResponse`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `PromptTemplateGetResponse`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `PromptTemplateGetResponse` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `PromptTemplateGetResponse` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `PromptTemplateGetResponse` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static PromptTemplateGetResponse create()
    Create a new `PromptTemplateGetResponse` instance. No arguments are required.